int minerals igl buys animal products unit international minerals chemical corp said completed acquisition johnson johnson pitman moore unit producer animal health products terms acquisition disclosed international minerals chemical said annual sales unit pitman moore makes health products pets farm feedstock animals